use strict;
use ExtUtils::MakeMaker;
use Module::Metadata;

WriteMakefile(NAME => 'slackbuilder',
	      DISTNAME     => 'slackbuilder',
	      VERSION_FROM => 'lib/SlackBuilder.pm',
	      AUTHOR       => 'Sergey Poznyakoff <gray@gnu.org>',
	      LICENSE      => 'gpl_3',
	      ABSTRACT     => 'Slackware Package Builder',
	      EXE_FILES    => [ 'slackbuilder' ],
	      PREREQ_PM    => {
		  HTML::Parser => '3.72',
		  LWP::UserAgent => '6.29',
		  List::Regexp => '1.03',
		  POSIX::Run::Capture => 0,
		  Scalar::Util => 0,
		  URI => 0,
		  JSON => 0
      	      },
	      MIN_PERL_VERSION => 5.016001
);
	      
