# -*- perl -*-
use lib 't';
use strict;
use warnings;
use SlackBuild::Registry::Version;
use Test;

plan tests => 10;

my $v = new SlackBuild::Registry::Version('4');
ok($v->major, '4');
ok(!$v->minor);
ok(!$v->patch);

$v = new SlackBuild::Registry::Version('4.1.9');
ok($v->major, '4');
ok($v->minor, '1');
ok($v->patch, '9');

$v = new SlackBuild::Registry::Version('4.1.9m');
ok($v->major, '4');
ok($v->minor, '1');
ok($v->patch, '9');
ok($v->tail, 'm');

